/*
 * RGB.cpp
 * 
 * Copyright 2013 OLIMEX LTD/Stefan Mavrodiev <support@olimex.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */
 

#include "RGB.h"
#include "../Wire/Wire.h"



/*
 * Class variables
 */
 uint8_t RGB::address = 0x20;

/*
 * Constructors
 */
RGB::RGB(){
}

RGB::RGB(uint8_t addr){
    address = addr;
}

void RGB::startPWM(){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(START_PWM);
    Wire.endTransmission();
}

void RGB::stopPWM(){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(STOP_PWM);
    Wire.endTransmission();
}

void RGB::setRGB(uint8_t R, uint8_t G, uint8_t B){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(SET_RGB);
    Wire.write(R);
    Wire.write(G);
    Wire.write(B);
    Wire.endTransmission();
    
}

void RGB::startAudio(){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(AUD_ON);
    Wire.endTransmission();
}

void RGB::stopAudio(){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(AUD_OFF);
    Wire.endTransmission();
}

void RGB::setAddress(uint8_t newAddress){
    Wire.begin();
    Wire.beginTransmission(address);
    Wire.write(SET_ADDRESS);
    Wire.write(newAddress);
    
    Wire.endTransmission();
}

uint8_t RGB::getID(){
	uint8_t id;
	Wire.begin();
	Wire.beginTransmission(address);
	Wire.write(GET_ID);
	Wire.endTransmission();
	Wire.requestFrom(address, 1);
	id = Wire.read();
	return id;
}
