/*
 * RGB.h
 * 
 * Copyright 2013 OLIMEX LTD/Stefan Mavrodiev <support@olimex.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#ifndef RGB_H
#define RGB_H

#include <inttypes.h>


#define START_PWM   0x01
#define STOP_PWM    0x02
#define SET_RGB     0x03
#define AUD_ON      0x14
#define AUD_OFF     0x15
#define SET_ADDRESS 0xF0
#define GET_ID		0x20

class RGB
{
    private:
        static uint8_t address;
    public:
        RGB();
        RGB(uint8_t);
        void startPWM(void);
        void stopPWM(void);
        void setRGB(uint8_t, uint8_t, uint8_t);
        void startAudio(void);
        void stopAudio(void);
        void setAddress(uint8_t);     
        uint8_t getID();
    
};

#endif
